
Redmine - Feature #2549

Enable the watching of news

2009-01-20 22:16 - Brad Beattie

Status: Closed Start date: 2009-01-20

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: News Estimated time: 0.00 hour

Target version: 2.5.0   

Resolution: Fixed   

Description

At the moment, users can't watch news items. They can subscribe the the provided feeds, but they can't get emails like they do

tickets.

I don't know Ruby, but I see the "acts_as_watchable" property that the board, message and issue models have. I gather adding this

to news wouldn't watch all news, just a singular news item. Anywho, I leave the implementation details to the Redmine experts. :)

Related issues:

Related to Redmine - Feature #8241: Advanced notification: per user, per proj... New 2011-04-28

Related to Redmine - Defect #22635: Get news notification even though unwatch Closed

Related to Redmine - Defect #4700: Adding news does not send notification to ... Closed 2010-01-31

Associated revisions

Revision 12866 - 2014-02-09 12:54 - Jean-Philippe Lang

Enable the watching of news (#2549).

Revision 12868 - 2014-02-09 13:01 - Jean-Philippe Lang

Display watch link only when inside project with logged-in user (#2549).

Revision 12870 - 2014-02-09 17:34 - Jean-Philippe Lang

Test failure with Postgresql+ruby1.8 (#2549).

History

#1 - 2009-02-20 10:49 - Robert Pollak

I also would like to watch a project's news.

#2 - 2009-05-27 16:40 - Michael Ball-Marian

Agree his feature is important. News/Files should either be watchable, or have their own account checkbox, separate from the issues emails. Right

now you have to enable notification for everything just to get News updates.

#3 - 2009-07-15 09:15 - Anonymous

+1 for this feature too.  Currently I still have to send an e-mail around about new releases.  It would be good if the 'news' section could do this

automatically.

#4 - 2009-08-21 13:23 - vel pandian

As an admin i want to put people who can watch project news, file/document uploads

#5 - 2009-08-27 23:20 - Ted Lilley

+1 as well.  Email updates are particularly appropriate for the news module, as the first thing you're going to want to do is follow up the announcement

by sending it directly to the concerned parties.

A Redmine noob (meaning I don't know how to implement anything),

Ted

#6 - 2009-09-01 10:36 - Jim Mullis
Another extremely useful benefit of this feature combined with the user Group feature is the ability to create News and Info Projects that are watched

by one or more customer groups, i.e. AllCustomers, GrpACustomers, GrpBCustomers, etc. It then becomes easy to announce product

enhancements, planned outages, etc.

#7 - 2009-09-30 16:49 - Randy Syring

+1

#8 - 2009-10-09 20:39 - Jose Luna

+1  This would be very helpful and (I think) not too painful to implement.   As Jim Mullis points out, it would be very powerful to include this in addition

to groups.

#9 - 2009-11-06 13:05 - Alfredo Bonilla

+1

Just to confirm, that it would be really useful specilly for projects with more than a couple of people working, to receive news without receiving all the

modifications in the issues.... really useful

Right now, in our project, we have to send an email to the people instead of using the News to avoid that people "track" all the issues mods

#10 - 2009-12-01 08:03 - Dennis Gao

+1

Currently I still have to send an e-mail around about new releases. It would be good if the 'news/files/documents' section could do this automatically.

When I add the documents, add news, add files, we can not receive the e-mail.

I have checked all the Administration/Settings/Email notifications/

News added = Yes

Document added = Yes

File added = Yes

and restart apache2, I still have not received e-mail.

#11 - 2009-12-07 08:39 - Dennis Gao

- Assignee set to Jean-Philippe Lang

+ 1

#12 - 2010-04-15 01:28 - F Delehal

+1, this would be very helpful

#13 - 2010-04-19 22:27 - Ted Lilley

As a brutally ugly hack, I made my installation send email notifications about added news to all project members regardless of their notification

settings.  You can see my article about it here:

http://blogs.trekforth.com/2010/04/patching-redmine-08x-for-email.html

I'm not advocating that anyone use this approach, I'm simply waiting for a better solution.

#14 - 2010-07-16 23:42 - amber herold

+1

related to #4700

#15 - 2010-08-10 17:12 - Luis Quintero

+ 1

Please, add watching to News and Documents. It would be a really nice feature!

#16 - 2010-09-02 19:42 - Andrew Sherman

+1

#17 - 2010-09-09 12:49 - Dmitry Pupinin

Solution here:

http://www.redmine.org/boards/2/topics/10744#message-15485

#18 - 2010-09-09 15:41 - Bruno Medeiros
- File news_to_all_members.diff added

- Assignee deleted (Jean-Philippe Lang)

I created a patch with the Dmitry's solution, it's attached.

It's created against Redmine 1.0.1, and seems to be working fine.

The option 'Don't notify my of my own changes' is still working after this patch, don't know if it is expected.

#19 - 2010-09-29 19:58 - Ciprian Hodorogea

I have applied this patch but unfortunately, it doesn't seem to work for me. Although emails are sent for other events, nothing is sent out for news

added.

Could you please suggest where I should be looking / what could be wrong?

Thx

#20 - 2010-09-29 21:07 - Ciprian Hodorogea

Ok, it worked for me as well after I marked "News added" under Settings > Email notifications.

Thank you

#21 - 2010-09-30 08:22 - Terence Mill

Please move that feature into the branch!

+1

#22 - 2010-10-04 15:11 - Sebastian M.

+1 please fix!

#23 - 2010-10-27 07:04 - Ant Cunningham

+1 from me... +100 from each of my clients :-)

#24 - 2011-03-07 18:44 - Ryan H

+1 .. Would be great if you want all your users to receive an email, and track it was sent.. IE. a new release or baseline available.

#25 - 2011-03-18 08:18 - Anton Nepomnyaschih

+1!

#26 - 2011-04-01 12:18 - Stefan Bellus

+1!

I want to use it to announce new release/important bug-fixes for all that subscribe for this information as watchers (not only to project members).

My project is library that is used by other teams. I don't know who use it. I have to make possible that all teams that uses my library can get

information about new releases/important bug-fixes. I think news are right solution.

I will release my library on Hudson and let hudson to send mail to add news. On redmine site I want to use 

https://github.com/titas/redmine-news-via-email-plugin.

#27 - 2011-04-07 01:44 - Ki Won Kim

+1

#28 - 2011-04-07 03:29 - Toshi MARUYAMA

- Estimated time deleted (1.00 h)

#29 - 2011-04-18 18:22 - Katie Nelson

+1

Any plans for the feature? This is something you can do in Basecamp that is very useful.

#30 - 2011-04-18 18:56 - Robert Schneider

+1

Is the adding of this feature too complex? Otherwise put it into version 1.2.0 if possible, please.

#31 - 2011-08-10 16:14 - Drew Keller

2025-05-02 3/4

https://github.com/titas/redmine-news-via-email-plugin


I created a plugin that sends an email digest of project activity. This includes news items. It's not very configurable (yet), but at least it's a start: 

http://www.redmine.org/plugins/digest.

I'm new to Ruby coding, so improvement patches are welcome.

#32 - 2011-09-08 10:22 - Michael Diederich

+1

#33 - 2011-09-08 10:45 - Robert Pollak

I have filed a corresponding issue with ChiliProject, the Redmine fork.

#34 - 2011-09-08 18:31 - Nick Nguyen

- File redmine_example.jpg added

I've added the patch, and it is working.  Except for when there is more than 6 people assigned to a project.  The first 6 people get added to the TO: in

the email, and than everyone after that gets added to the email itself. Seems like it adds a line break after the 6 people that messes up the email.

The email is also malformed.  I've attached an example.  Any idea how to make it from stop doing that?

#35 - 2011-09-08 20:04 - Drew Keller

There is a bug in TMail that affects certain email clients. See http://www.redmine.org/issues/8751 (comments have a monkey patch to fix it).

#36 - 2011-11-25 22:59 - Martti Laakso

Why are there two different places to adjust the email settings anyway?

If I want to get news, I'm currently bombarded with all these issue updates I have no interest in. Just let the user use checkboxes to select what

updates one want's to receive (issues, news, wiki..) and under what circumstances (member, watcher, all..), and let the administrator just set some

sane defaults.

#37 - 2011-11-26 01:22 - Terence Mill

related to #8241

#38 - 2012-02-26 13:22 - Andriy Lesyuk

Need help testing my plugin which implements news subscription: http://projects.andriylesyuk.com/projects/subscription

#39 - 2014-02-09 12:55 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.0

- Resolution set to Fixed

Feature added in r12866. It's now possible to watch project news. All watchers will be notified when a new news is added.

#40 - 2014-02-14 09:46 - Daniel Felix

- Related to Feature #8241: Advanced notification: per user, per project configurable schedule, event filter and notification format added

#41 - 2016-04-26 17:17 - Toshi MARUYAMA

- Related to Defect #22635: Get news notification even though unwatch added

#42 - 2016-05-07 09:15 - Toshi MARUYAMA

- Related to Defect #4700: Adding news does not send notification to all project members added

Files

news_to_all_members.diff 593 Bytes 2010-09-09 Bruno Medeiros

redmine_example.jpg 99.6 KB 2011-09-08 Nick Nguyen

Powered by TCPDF (www.tcpdf.org)

2025-05-02 4/4

http://www.redmine.org/plugins/digest
https://www.chiliproject.org/issues/613
http://www.redmine.org/issues/8751
https://www.redmine.org/issues/8241
http://projects.andriylesyuk.com/projects/subscription
https://www.redmine.org/projects/redmine/repository/svn/revisions/12866
http://www.tcpdf.org

